Package org.openoffice.da.comp.w2lcommon.helper

# Class SimpleDialog

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.SimpleDialog

public class SimpleDialog extends Object
This is a simple helper class to display and access a dialog based on an XML description (using the DialogProvider2 service). Unlike DialogBase, this class creates a dialog without event handlers. TODO: Use this class in ConfigurationDialogBase

## Constructor Summary

Constructors
Constructor
Description
`SimpleDialog(com.sun.star.uno.XComponentContext xContext, String sDialogPath)`
Create a new dialog

## Method Summary

Modifier and Type
Method
Description
`DialogAccess`
`getControls()`
Get access to the controls of the dialog
`com.sun.star.awt.XDialog`
`getDialog()`
Get the UNO dialog

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleDialog

public SimpleDialog(com.sun.star.uno.XComponentContext xContext, String sDialogPath)
Create a new dialog

Parameters:
  `xContext` - the component context from which to get the service manager
  `sDialogPath` - the path to the dialog

## Method Details

### getDialog

public com.sun.star.awt.XDialog getDialog()
Get the UNO dialog

Returns:
  the dialog, or null if creation failed

### getControls

public DialogAccess getControls()
Get access to the controls of the dialog

Returns:
  the control access helper, or null if creation failed